Bug 1437865 - Geo-rep schedule should delete VM snapshot post gluster geo-rep checkpoint is synced
Summary: Geo-rep schedule should delete VM snapshot post gluster geo-rep checkpoint is...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Gluster
Version: 4.1.1.7
Hardware: x86_64
OS: Linux
high
urgent vote
Target Milestone: ovirt-4.1.2
: 4.1.2
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-03-31 11:07 UTC by SATHEESARAN
Modified: 2017-05-25 06:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-25 06:43:35 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: blocker+
bmcclain: planning_ack+
sabose: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 75157 master MERGED engine: Ensure snapshot deletion after geo-rep sync 2017-04-06 16:03:54 UTC
oVirt gerrit 75316 ovirt-engine-4.1 MERGED engine: Ensure snapshot deletion after geo-rep sync 2017-04-07 07:45:50 UTC
oVirt gerrit 75324 ovirt-engine-4.1.1.z MERGED engine: Ensure snapshot deletion after geo-rep sync 2017-04-08 06:35:56 UTC

Description SATHEESARAN 2017-03-31 11:07:30 UTC
Description of problem:
------------------------
With the existing logic of remote sync, VM snapshots are initiated and completed, but deleted before geo-rep sync has reached checkpoint.

VM snapshots should be deleted only after geo-rep checkpoint is reached

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
RHV 4.1.1-6

How reproducible:
-----------------
Always

Steps to Reproduce:
-------------------
1. Create a gluster data domain backed with replica 3 sharded volume
2. Create a gluster geo-rep session
3. Create a remote data sync setup
4. Notice for the flow of events

Actual results:
---------------
VM snapshots are deleted before the gluster geo-rep checkpoint is reached

Expected results:
-----------------
VM snapshots should be deleted only after geo-rep checkpoint is reached

Comment 2 SATHEESARAN 2017-05-23 20:11:47 UTC
Tested with RHV-4.1.2.2

VM snapshot deletion is happening post the geo-rep checkpoint is reached


Note You need to log in before you can comment on or make changes to this bug.